<?php

App::uses('AppShell', 'Console/Command');

App::uses('JupixSync', 'EvJupix.Lib');

class JupixSyncShell extends AppShell {

	public function createSyncJob() {
		return false;
	}

/**
 * Synchronise properties from a Jupix feed using the file settings set in the config.
 * @return boolean Whether any properties were successfully synced
 */
	public function syncProperties() {
		$this->out('Synchronising Jupix properties');

		$synced = JupixSync::syncProperties(
			Configure::read('EvJupix.' . Configure::read('EvJupix.syncFileFrom')),
			(Configure::read('EvJupix.syncFileFrom') == 'localFile' ? false : true)
		);

		if ($synced) {
			$this->out('Properties were synced successfully');
		} else {
			$this->out('Either no properties were found or there was an issue saving some properties');
		}

		return $synced;
	}
}
